Bug 184104 - Review Request: acpi - Command-line ACPI client
Review Request: acpi - Command-line ACPI client
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-06 05:37 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-17 17:07:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
acpi.spec patch (1000 bytes, patch)
2006-03-15 15:56 EST, Jose Pedro Oliveira
no flags Details | Diff

  None (edit)
Description Patrice Dumas 2006-03-06 05:37:20 EST
SRPM Name or Url: http://www.environnement.ens.fr/perso/dumas/fc-srpms/acpi-0.09-1.src.rpm
Description: 

Linux ACPI client is a small command-line program that attempts to
replicate the functionality of the 'old' apm command on ACPI systems.
It includes battery and thermal information.
Comment 1 Jose Pedro Oliveira 2006-03-14 11:47:04 EST
Patrice,

Could you check the Extras' package acpitool?
I can be wrong but acpitool appears to provide more features than this one.

jpo
Comment 2 Patrice Dumas 2006-03-14 11:54:47 EST
I do agree, as the acpitool fedora extra maintainer ;-). I allready said so on
the fedora-devel-list. But even if it has less features, I think it is good to
have it packaged, such that user can use the one they prefer, and compare them.
Comment 3 Jose Pedro Oliveira 2006-03-15 15:51:00 EST
MD5SUMS:
a9eed4c2faefd3b9ba46b5a2336e387d  acpi-0.09-1.src.rpm

160bcdbb0f880f2c2b8b563f0cca1839  acpi-0.09-keep_CFLAGS.diff
a5a70595834b487c3a2f9278a3d60768  acpi-0.09.tar.gz
8e809c75e4f4c285d5d167bb99600e1f  acpi.spec


Good:
* Tarball MD5 digest verified (author homepage)
* URL and Source URL are valid
* License verified and included
* Distro building flags are honored
* File permissions are ok
* Builds without problems in FC-3 and FC-4
* (Un)installs without problems in FC-3 and FC-4

NeedsWork:
* Dist tag missing

Minor note:
* the commented man page installation line should be removed
  (the last version that had a man page was the 0.06).
Comment 4 Jose Pedro Oliveira 2006-03-15 15:56:42 EST
Created attachment 126172 [details]
acpi.spec patch

The patch does the following:
* add the missing dist tag
* removes the commented line (man page installation)
* expands a tab and removes a couple of spaces (pedantic)
Comment 5 Patrice Dumas 2006-03-16 17:27:33 EST
Updated here. As a side note, I don't think that a missing %{?dist}
should be noted as a blocker... Not a big deal.

http://www.environnement.ens.fr/perso/dumas/fc-srpms/acpi-0.09-1.src.rpm
Comment 6 Jose Pedro Oliveira 2006-03-17 15:02:47 EST
APPROVED

MD5SUMS:
b4037e9b16fe61ac32f58208bc76f73d  acpi-0.09-1.src.rpm

160bcdbb0f880f2c2b8b563f0cca1839  acpi-0.09-keep_CFLAGS.diff
a5a70595834b487c3a2f9278a3d60768  acpi-0.09.tar.gz
2581b336c3b1dfc3f0ded0bf923d5065  acpi.spec


(In reply to comment #5)
> Updated here. As a side note, I don't think that a missing %{?dist}
> should be noted as a blocker... Not a big deal.

Under normal circunstances I would have said to update the specfile after having
imported the package into the CVS server but, right now I don't have much free
time to process all the emails I receive in order to verify the CVS commits.

Any way, sorry for the inconvinience,
jpo
Comment 7 Patrice Dumas 2006-03-17 17:07:42 EST
No inconvenience, and I would have added the dist tag anyway, but I made that
comment such that people that view the bug do not think that the dist tag is
mandatory...

Note You need to log in before you can comment on or make changes to this bug.